Loading...
Searching...
No Matches
HDF5Image.h File Reference
`#include <casacore/casa/aips.h>`
`#include <casacore/images/Images/ImageInterface.h>`
`#include <casacore/images/Images/ImageAttrHandlerHDF5.h>`
`#include <casacore/lattices/Lattices/HDF5Lattice.h>`
`#include <memory>`
`#include <casacore/casa/iosfwd.h>`

Go to the source code of this file.

## Classes

class | casacore::HDF5Image< T >
| More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Functions

Bool | casacore::canUseHDF5Image ()
| Tell if HDF5 images can be used.
DataType | casacore::hdf5imagePixelType (const String &fileName)
| Determine the pixel type in the HDF5Image contained in fileName.
Bool | casacore::isHDF5Image (const String &fileName)
| Check if this HDF5 file is an HDF5 image.